/* Copyright (c) 2001-2009 by SoftIntegration, Inc. All Rights Reserved */
/* This demo is to show if can handle wsprintf function */

#include <wchar.h>
#include <stdio.h>
#include <stdarg.h>
#include <stdlib.h>

int main() {
  wchar_t buffer[80]; 
  char format[] = "The buffer has %d  %d";
  int a=50, b=-26 ;
  int count;

   printf("a = %d, b = %d \n", a, b);
   count = wsprintf(buffer, format, a, b);
   printf("After wsprintf, count=%d\n", count); 
   wprintf(L"%s\n", buffer);
   return 0;
}
